com.ihr.xbrl.om.exLinks

## Class XBRLDocumentation

- java.lang.Object
- - com.ihr.xbrl.om.XMLFragment
  - - com.ihr.xbrl.om.exLinks.XBRLDocumentation

- All Implemented Interfaces:
    HasAdditionalEqualityForReassignation, XBRLRelationshipPoint, Thinable, XMLHasParent, java.lang.Cloneable, javax.xml.namespace.NamespaceContext

      public class XBRLDocumentation
      extends XMLFragment

  This class represents the 2.2.13 XBRL Documentation Information Item
  Author:
    Ignacio

- - ### Field Summary

    - ### Fields inherited from class com.ihr.xbrl.om.XMLFragment

      `CONCEPT_LABEL, CONCEPT_QNAME, EASY_TO_READ, ELEMENT_LABEL, EMPTYRELATIONSHIPSITERATORINSTANCE, EMPTYXMLFRAGMENTITERATORINSTANCE, FACT_CONCEPT_DATATYPE, FACT_CONCEPT_LABEL, FACT_QNAME, HIDE_COMMON_ACCURACY, idQName, NO_POSITION, OrderComparator, OrderComparator2, PERIOD_TYPE, PERIOD_VALUE, SHORT_TEXT, SOURCE_DOCUMENT, XPATH, XPOINTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLDocumentation(DTSContainer dts, net.sf.saxon.s9api.XdmNode node)` The [Attributes] property
    `XBRLDocumentation(XBRLAllowsDocumentation parent)` Programatically creates a documentation object.
    `XBRLDocumentation(XBRLAllowsDocumentation parent, net.sf.saxon.s9api.XdmNode node)` Instantiates a new XBRL documentation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jdom.Element` | `generateNode(boolean relativize, java.net.URI base)` Serializes to a jdom Element the representation of the properties of this Information Item This method should be called from classes derived from this class
    `java.util.Iterator<XBRLAttribute>` | `getAttributes()` Access to attributes defined in this node.
    `XBRLAllowsDocumentation` | `getParent()` Access to the [Parent] property.
    `java.lang.String` | `getText()` Gets the [Documentation text] Information Item.
    `void` | `setParent(XBRLAllowsDocumentation parent)` Sets the parent.
    `void` | `setText(java.lang.String text)` Sets the [Documentation text] Information Item.

    - ### Methods inherited from class com.ihr.xbrl.om.XMLFragment

      `addAttribute, addChild, addFromRelationship, addNamespace, addNamespace, addToRelationship, addXMLChild, changeBase, checkBase, clear, clone, clone, delAttribute, delAttribute, equals, equalXdmValues, evaluateBoolean, evaluateList, evaluateNode, evaluateNumber, evaluateString, generateId, generateNodeNamespacesAndAttributes, generateNodeValue, generatePrefix, getAllAttributes, getAttribute, getAttributeBooleanValue, getAttributeQNameValue, getAttributes, getAttributeStringValue, getAttributeValue, getBase, getBase, getBaseURI, getBooleanValue, getChild, getContainer, getContainerDocumentURI, getDeclaredNamespaces, getDocument, getElements, getElementsHashCode, getFragment, getFriendlyName, getFriendlyName, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getFromRelationships, getGenericLabelText, getId, getLang, getNamespaceURI, getNodeName, getNumberOfAttributes, getNumberOfElements, getNumberOfFromRelationships, getNumberOfToRelationships, getOrGenerateId, getPrefix, getPrefixes, getQNameValue, getRelationshipsBases, getRelationshipsChain, getRelationshipTypes, getStaticContext, getStaticNamespace, getStringValue, getToolTipText, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getToRelationships, getValue, getXPathExecutable, getXPathNamespaceContext, getXPathToNode, getXPathToRoot, getXPointerElementScheme, getXPointerElementScheme, getXPointerShorthandScheme, getXPointerToNode, hashCode, isDead, isNamespaceDefined, isXdmDocumentAttached, objEquals, objHashCode, qNameToString, removeAttribute, removeChild, removeChild, removeFromRelationship, removeToRelationship, removeXMLChild, resetElements, resetHash, resolve_equal2, resolveHRef, resolveHRef, s_equal2, s_equal2, s_equal2, setAttributes, setBase, setDocument, setDocumentAndReload, setElements, setId, setLang, setNamespaceContext, setNamespaces, setNode, setNodeName, setParent, setRegenerateNodeIfnotFound, setValue, setValue, setVariablesDefined, size, thin, toString, valueEquals, xEqual`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLDocumentation

          public XBRLDocumentation(DTSContainer dts,
                           net.sf.saxon.s9api.XdmNode node)

      The [Attributes] property

    - #### XBRLDocumentation

          public XBRLDocumentation(XBRLAllowsDocumentation parent,
                           net.sf.saxon.s9api.XdmNode node)

      Instantiates a new XBRL documentation.
      Parameters:
        `parent` - the parent
        `node` - the node

    - #### XBRLDocumentation

          public XBRLDocumentation(XBRLAllowsDocumentation parent)

      Programatically creates a documentation object.
      Parameters:
        `parent` - the parent

  - ### Method Detail

    - #### getParent

          public XBRLAllowsDocumentation getParent()

      Access to the [Parent] property.
      Specified by:
        `getParent` in interface `XMLHasParent`
      Overrides:
        `getParent` in class `XMLFragment`
      Returns:
        XMLFragment

    - #### setParent

          public void setParent(XBRLAllowsDocumentation parent)

      Sets the parent.
      Parameters:
        `parent` - the new parent

    - #### getText

          public java.lang.String getText()

      Gets the [Documentation text] Information Item.
      Returns:
        String

    - #### setText

          public void setText(java.lang.String text)

      Sets the [Documentation text] Information Item.
      Parameters:
        `text` - the new text

    - #### getAttributes

          public java.util.Iterator<XBRLAttribute> getAttributes()

      Description copied from class: `XMLFragment`
      Access to attributes defined in this node.

      The id attribute is skiped as there is a specific method to access to it and set a value.

      This method is overriten by super classes and shall add additional filters to exclude other attributes that belongs to the superclass

      Overrides:
        `getAttributes` in class `XMLFragment`
      Returns:
        Iterator<XBRLAttribute>
      See Also:
        `XMLFragment.getAllAttributes()`

    - #### generateNode

          public org.jdom.Element generateNode(boolean relativize,
                                      java.net.URI base)
                                        throws XBRLSerializationException

      Description copied from class: `XMLFragment`
      Serializes to a jdom Element the representation of the properties of this Information Item This method should be called from classes derived from this class
      Overrides:
        `generateNode` in class `XMLFragment`
      Parameters:
        `relativize` - boolean indicating if URIs should be relativized to the base URI (see next argument)
        `base` - the URI to which some attributes of this object should be relativided
      Returns:
        a clone of the surrounding jdom Element so it can be incorporated into multiple trees
      Throws:
        `XBRLSerializationException` - the XBRL serialization exception